%define pluginver 0.1.2

Summary: A free video player that supports DVDs, mpeg, DivX ;-) etc.
Name: xine
Version: 0.4.01
Release: decss1
Serial: 1
Copyright: GPL
Group: Applications/Multimedia
Source0: http://xine.sourceforge.net/files/%{name}_%{version}.tar.gz
Source1: %{name}.xpm
Source2: http://members.nbci.com/captain_css/xine_dvd_static-%{pluginver}.tar.gz
URL: http://xine.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
Requires: imlib >= 1.9.5, XFree86
BuildArch: i686
ExclusiveArch: i686

%description
xine is a free GPL-licensed video player for unix-like systems.
It supports mpeg-2 and mpeg-1 system (audio + video multiplexed) streams,
as well as mpeg-4 with additional Windows DLLs.

xine plays the video and audio data of mpeg-2 videos and synchronizes
the playback of both. Depending on the properties of the mpeg stream,
playback will need more or less processor power, 100% frame rate
has been seen on a 400 MHz PII system.

%prep
%setup -q -a 2 -n %{name}-%{version}

%build
./configure --prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--bindir=%{_bindir}
make
pushd xine_dvd_static-%{pluginver}
	./configure --prefix=%{_prefix} --with-kernel-includes=/usr/include
	make
popd

%install
rm -rf %{buildroot}
make install prefix=%{buildroot}%{_prefix} \
	mandir=%{buildroot}%{_mandir} \
	bindir=%{buildroot}%{_bindir}
pushd xine_dvd_static-%{pluginver}
	install .libs/input_dvd.so %{buildroot}%{_libdir}/%{name}/plugins
	strip %{buildroot}%{_libdir}/%{name}/plugins/*.so
popd
install -m 644 %{SOURCE1} %{buildroot}%{_prefix}/share/%{name}.xpm

mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/Multimedia
cat > %{buildroot}%{_sysconfdir}/X11/applnk/Multimedia/%{name}.desktop << EOF
[Desktop Entry]
Name=XINE
Comment=A fully-featured video player, including DVDs and DivX ;-)
Icon=%{_prefix}/share/%{name}.xpm
Exec=%{name}
Terminal=0
Type=Application
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog FAQ NEWS README TODO
%{_sysconfdir}/X11/applnk/Multimedia/xine.desktop
%{_bindir}/%{name}
%{_prefix}/lib/%{name}
%{_prefix}/share/%{name}
%{_prefix}/share/%{name}.xpm
%{_mandir}/man*/*
%{_mandir}/fr/man*/*

%changelog
* Thu Mar  8 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.01.

* Thu Feb 15 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated the DeCSS plugin to the latest 0.1.2 release.
- Added a menu entry since xine is now stable enough to not need to be
  launched in a terminal anymore.

* Wed Jan 31 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 0.3.7 with the subtitles patch to the plugin

* Wed Jan 31 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 0.3.6 with the same plugin

* Sat Jan 13 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Included the DeCSS dvd plugin for 0.3.5

* Wed Jan 10 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- upgraded to 0.3.5

* Mon Jan  8 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- upgraded to 0.3.4
- tweak to configure.in to compile with gcc 2.96

* Tue Jan  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- upgraded to 0.3.3

* Sun Dec 17 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- upgraded to 0.3.2 "complete" :-)
- fixed my files section to include the new skin

* Mon Nov 20 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- cleaned-up the spec file for RedHat 7.0
- added stripping, changed prefix, added docs, added defattr

* Fri Oct 17 2000 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- first spec file.

